Bug 7866 - "net" in v3-6-test broken
"net" in v3-6-test broken
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Build environment
3.6.0pre1
All All
: P3 regression
: ---
Assigned To: Björn Jacke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-14 07:23 UTC by Björn Jacke
Modified: 2011-03-03 15:58 UTC (History)
0 users

See Also:


Attachments
Fix I've applied. (2.01 KB, patch)
2010-12-15 12:51 UTC, Jeremy Allison
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2010-12-14 07:23:24 UTC
#  ./bin/net
creating lame upcase table
creating lame lowcase table

this is all that it gives back.
Comment 1 Björn Jacke 2010-12-14 07:44:21 UTC
some additional info: despite the message that it creates the case tables, it doesn't do that actually.

If the case tables are put there manually, then it stops with the following in debug level 10:

ERROR: Failed to initialise messages database: Datei oder Verzeichnis nicht gefunden
messaging_tdb_init failed: NT_STATUS_OBJECT_NAME_NOT_FOUND

and strace:

stat64("/usr/local/samba/var/locks", 0xbfb18950) = -1 ENOENT (No such file or directory)
mkdir("/usr/local/samba/var/locks", 0755) = -1 ENOENT (No such file or directory)
open("/usr/local/samba/var/locks/messages.tdb", O_RDWR|O_CREAT|O_LARGEFILE, 0600) = -1 ENOENT (No such file or directory)
fstat64(2, {st_mode=S_IFCHR|0600, st_rdev=makedev(136, 1), ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb6832000
_llseek(2, 0, 0xbfb18530, SEEK_CUR)     = -1 ESPIPE (Illegal seek)
write(2, "tdb(/usr/local/samba/var/locks/m"..., 158) = 158
munmap(0xb6832000, 4096)                = 0
fstat64(2, {st_mode=S_IFCHR|0600, st_rdev=makedev(136, 1), ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb6832000
_llseek(2, 0, 0xbfb186c0, SEEK_CUR)     = -1 ESPIPE (Illegal seek)
write(2, "ERROR: Failed to initialise mess"..., 85) = 85
munmap(0xb6832000, 4096)                = 0
fstat64(2, {st_mode=S_IFCHR|0600, st_rdev=makedev(136, 1), ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb6832000
_llseek(2, 0, 0xbfb18710, SEEK_CUR)     = -1 ESPIPE (Illegal seek)
write(2, "messaging_tdb_init failed: NT_ST"..., 59) = 59
munmap(0xb6832000, 4096)                = 0
exit_group(1)                           = ?
Comment 2 Jeremy Allison 2010-12-14 19:56:07 UTC
I think this one is my fault - failing to open the messaging database. I'll fix this asap.

Jeremy.
Comment 3 Jeremy Allison 2010-12-15 12:51:59 UTC
Created attachment 6131 [details]
Fix I've applied.

Actually not my bug. Metze or Guenther I'm afraid :-).

Jeremy.
Comment 4 Jeremy Allison 2010-12-15 13:04:47 UTC
Fixed with commit.
Jeremy.
Comment 5 Björn Jacke 2011-03-03 15:51:59 UTC
...
Comment 6 Björn Jacke 2011-03-03 15:55:45 UTC
....
Comment 7 Björn Jacke 2011-03-03 15:58:49 UTC
.....